

# 国家级教材遴选系统——后端项目 edu-server

## 常用命令
- 测试环境
    - 数据管理看板 http://localhost:61337/dashboard
    - 数据库链接 postgresql://postgres@127.0.0.1:25432/

``` bash
# 启动项目
cd server/
npm i -f
npm run start
```


## 本地开发调试
/server

``` bash
npx vite build
cp ./dist/server/server.js temp-server.js
node temp-server.js --local
```

## 线上开发环境
- 服务器
    - root@8.140.98.43
- 数据库
    - psql --dbname=postgresql://postgres:Edu2024textbask@127.0.0.1:25432/
- 管理看板
    - parse-dashboard --appId edu-textbook --masterKey "EDU2024" --serverURL http://8.140.98.43/parse --appName EduTextbook
``` sql
ALTER USER postgres WITH PASSWORD 'Edu2024textbask';
```

## 线上生产环境


-- 生产用户
psql --dbname=postgresql://textbook:Edu2024textbask@pgm-2zehqf5x28989whc.pg.rds.aliyuncs.com:5432/textbook

CREATE DATABASE textbook;
CREATE USER textbook WITH PASSWORD 'Edu2024textbask';
GRANT ALL PRIVILEGES ON DATABASE textbook TO textbook;
GRANT ALL PRIVILEGES ON SCHEMA public TO textbook;

--rds--  PostgreSQL

psql --dbname=postgresql://admin_user@pgm-2zehqf5x28989whc.pg.rds.aliyuncs.com:5432/

实例ID: pgm-2zehqf5x28989whc
内网地址：pgm-2zehqf5x28989whc.pg.rds.aliyuncs.com
公网地址：pgm-2zehqf5x28989whc1o.pg.rds.aliyuncs.com
高权限账号：admin_user  密码：DCG!MfwW7fpvA
----注意高权限账号建库建表后要回收，给普通权限账号----

---oss---
Bucket: hep-textbook
用户登录名称 hep-textbook-api@cloudhep.onaliyun.com
AccessKey ID： LTAI5t6AbTiAvXmeoVdJZhL3
AccessKey Secret： KLtQRdIW69KLP7jnzHNUf7eKmdptxH
内网地址：oss-cn-beijing.aliyuncs.com
外网地址：oss-cn-beijing-internal.aliyuncs.com

## Authing 用户服务
### 管理员
https://lljydpt8egql.u2-dev.hep.com.cn/
- 用户名 hanlei
- 密码 13581837652

### AKSK
AccessKey ID:
6682ab96b7bd5db59d6785a0
AccessKey Secret:
4cfc095a72a67e22065c97e90054315c

### 单页面应用
AppID 6682ab96b7bd5db59d6785a0

AppSecret 4cfc095a72a67e22065c97e90054315c

Token 端点
https://textbook.u2-dev.hep.com.cn/oidc/token

用户信息端点
https://textbook.u2-dev.hep.com.cn/oidc/me

登出端点
https://textbook.u2-dev.hep.com.cn/oidc/session/end

JWKS 公钥端点
https://textbook.u2-dev.hep.com.cn/oidc/.well-known/jwks.json

认证端点
https://textbook.u2-dev.hep.com.cn/oidc/auth

Issuer
https://textbook.u2-dev.hep.com.cn/oidc

服务发现地址
https://textbook.u2-dev.hep.com.cn/oidc/.well-known/openid-configuration

认真地址
https://textbook.u2-dev.hep.com.cn

### 开发者AKSK
对接 Authing SDK 的接口文档：https://api-explorer.authing.cn/?source=Authing%20%E7%AE%A1%E7%90%86%20API

https://api-explorer.authing.cn/?source=Authing%20%E7%94%A8%E6%88%B7%E8%AE%A4%E8%AF%81%20API

用户池 id：6672540d8756a503c6f6f03e

测试用户池密钥：491670e7ef2fd553ce6d0668a1bb87f3


# 开发人员协作
- 高教社运维负责
    - 4966367 wuhuaide 1649663385 
    - 吴怀德  
    - wuhuaide (867947897@qq.com)
- Authing项目负责
    - 韩磊-leohan83
    - 韩磊   我自己
    - leohan83 (hanlei@authing.com)


# 国家级教材遴选系统——前端项目 edu-textbook

This project was generated with [Angular CLI](https://github.com/angular/angular-cli) version 18.0.4.

## Development server

Run `ng serve` for a dev server. Navigate to `http://localhost:4200/`. The application will automatically reload if you change any of the source files.

## Code scaffolding

Run `ng generate component component-name` to generate a new component. You can also use `ng generate directive|pipe|service|class|guard|interface|enum|module`.

## Build

Run `ng build` to build the project. The build artifacts will be stored in the `dist/` directory.

## Running unit tests

Run `ng test` to execute the unit tests via [Karma](https://karma-runner.github.io).

## Running end-to-end tests

Run `ng e2e` to execute the end-to-end tests via a platform of your choice. To use this command, you need to first add a package that implements end-to-end testing capabilities.

## Further help

To get more help on the Angular CLI use `ng help` or go check out the [Angular CLI Overview and Command Reference](https://angular.dev/tools/cli) page.
