# 十四五本科教材部署项目

# 目录资源
- /opt/ 软件包
    - edu-textbook-www.tar.gz 前端项目
    - server.tar.gz 后端项目
- sources.list 国内源
- Dockerfile 容器编制脚本

# 环境变量
``` bash
# 环境变量
DATABASE_DBNAME # 链接字符串 postgres://xxxxxxx:5432/textbook
ALI_OSS_BUCKET # 阿里云OSS bucket
ALI_OSS_ACCESS_KEY_ID # 阿里云OSS ak
ALI_OSS_ACCESS_KEY_SECRE # 阿里云OSS sk
```

# 常用指令

``` bash
# 容器构建
sudo docker build --tag fmode:edu-textbook-1.0.0 . \
# --build-arg NODE_VERSION=18.19.1 \
# > 注意阿里云build流水线中，容易丢失环境变量配置，所以直接写在Dockerfile中

# 运行容器
sudo docker run -d -p 80:80 -p 81:81 -p 443:443 -p 61337:61337 --name edu-textbook-1.0.0 --restart=always fmode:edu-textbook-1.0.0
sudo docker run -e DATABASE_DBNAME="postgres://postgres:666@192.168.0.177:5432/postgres" -p 80:80 -p 81:81 -p 443:443 -p 61337:61337 --name edu-textbook-1.0.0 --restart=always fmode:edu-textbook-1.0.0

# 导出镜像
sudo docker save fmode:edu-textbook-1.0.0 -o ../dist/fmode-edu-textbook-1.0.0.tar

```

# 工作流（阿里云镜像构建部署）
- 后端WebHook
    - http://flow-openapi.aliyun.com/scm/webhook/536ptuKD686Wn6vEqVIz
        - https://gitee.com/hep10/tbook-backend.git
        - 临时地址 http://145.tbook.com.cn/api
