import { Component, OnInit, ViewChild, Input } from '@angular/core';
import { ActivatedRoute, RouterOutlet, Router } from '@angular/router';
import { CompTableListComponent } from '../../../../app/comp-table/comp-table-list/comp-table-list.component';
import { Submitted } from '../../../../schemas/Submitted';
import * as Parse from 'parse';
import { CommonModule } from '@angular/common';
@Component({
  selector: 'app-submitted',
  templateUrl: './submitted.component.html',
  styleUrls: ['./submitted.component.scss'],
  imports: [CommonModule, RouterOutlet, CompTableListComponent],
  standalone: true,
})
export class SubmittedComponent  implements OnInit {
  @ViewChild(CompTableListComponent) list: CompTableListComponent | undefined;

  Submitted = Submitted;
  user: Parse.User | undefined;
  className: string | undefined;
  queryParams: any | undefined;
  fieldsArray: Array<any> | undefined;

  constructor() { 
    this.user = Parse.User.current();
    this.className = this.Submitted.className;
    this.fieldsArray = this.Submitted.fieldsArray;
    this.queryParams = {
      where: {
        isDeleted: { $ne: true },
      },
    };
  }

  ngOnInit() {}

}
