import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { PageTextbookComponent } from './components/page-textbook/page-textbook.component';
import { ApplyComponent } from './apply/apply.component';
// import { ProfileComponent } from '../user/profile/profile.component';
import { SpaceComponent } from './space/space.component'
import { TextbookDetailsComponent } from '../common/textbook-details/textbook-details.component'
import { RecycleComponent } from './recycle/recycle.component'
const routes: Routes = [
  {
    path: '',
    redirectTo:'manage/space',
    pathMatch: "full",
  },
  {
    path: 'manage',
    children: [
      {
        path: 'space',//个人空间
        component: SpaceComponent,
      },
      {
        path: 'apply',//填写材料
        component: ApplyComponent,
      },
      {
        path: 'details/:id',//详情
        component: TextbookDetailsComponent,
      },
      {
        path: 'recycle',//回收站
        component: RecycleComponent,
      },
    ],
  },
];
@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class NavAuthorRoutingModule {}
