import {
  Component,
  OnInit,
  Input,
  Output,
  EventEmitter,
  ViewChild,
  ElementRef,
} from '@angular/core';
import { CommonCompModule } from '../../../services/common.modules';
import { Router, ActivatedRoute } from '@angular/router';
import { ReactiveFormsModule } from '@angular/forms';
import { BasicInComponent } from '../components/basic-in/basic-in.component';
import { TextbookPertainComponent } from '../components/textbook-pertain/textbook-pertain.component';
import { TextbookContentComponent } from '../components/textbook-content/textbook-content.component';
import { AttachmentComponent } from '../components/attachment/attachment.component';
import { NzAnchorModule } from 'ng-zorro-antd/anchor';
import { DatePipe } from '@angular/common';
import Parse from 'parse';

interface author {
  name: string;
  unit: string;
  birth: Date | any;
  nationality: string;
  job: string;
  title: string;
  mobile: string;
  email: string;
  work: string;
}
@Component({
  selector: 'app-textbook-details',
  imports: [
    CommonCompModule,
    ReactiveFormsModule,
    BasicInComponent,
    TextbookPertainComponent,
    TextbookContentComponent,
    AttachmentComponent,
    NzAnchorModule,
    DatePipe,
  ],
  standalone: true,
  templateUrl: './textbook-details.component.html',
  styleUrls: ['./textbook-details.component.scss'],
  providers: [DatePipe],
})
export class TextbookDetailsComponent implements OnInit {
  @ViewChild('templ1') templ1: any;
  textBook: object | any = {}
  // {
  //   title: '', //申报教材名称
  //   ISBN: '', //国际标准书号
  //   author: '', //第一主编（作者）
  //   unit: '', //第一主编（作者）单位
  //   type: '', //申报类型
  //   typeNumber: '', //全册次数

  //   majorPoniter: '', //教材应用对象及所诉学科专业类
  //   lang: '', //教材主要语种类型
  //   authors: '', //其他主编姓名
  //   editor: '', //其他编者姓名

  //   approval: '', //是否为重点立项教材
  //   editionUnit: '', //出版单位
  //   editionFirst: '', //初版时间
  //   carrierShape: '', //载体形式

  //   editionDate: '', //出版时间
  //   editionNumber: '', //出版版次
  //   printDate: '', //最新印次时间
  //   printNumber: '', //最新印次

  //   printSum: '', //初版以来合计印次

  //   importantProject: '', //初版以来是否列为重点项目
  //   importantProjectOther: '', //其他省部级及以上项目

  //   copyrightImgUrl: '', //版权页截图
  //   CIPImgUrl: '', //中国版本图书馆CIP查询截图
  //   major:{ //适用专业代码（六位）及名称
  //     code:'000416',
  //     name:'通信工程'
  //   },
  //   lessons:[],
  //   characteristic:[],
  //   period:1,

  //   authorDetails:
  //     '从事英语教学和外事管理二十年，教学经验丰富，系“双师型”教师，主持和参与多项省部级科研课题，连续多年担任全国导游资格面试中英文考官，2015 年和 2016 年担任全国职业院校技能大赛英文导游裁判长；2020 年入选“中国东盟双百职校强强合作旗舰计划”专家和来华留学生高等教育质量认证（高职院校类）技术专家库；2021 年湖北省教育厅推荐入选教育部鲁班工坊建设联盟专家库首批专家。组织申报学校荣获世界职教院校联盟卓越奖（2016 年铜奖、2018 年银奖、2020 年金奖）。',
  //   authorList: [
  //     {
  //       name: '曹春海',
  //       unit: '外语教育出版社',
  //       birth: new Date('2000-1-1'),
  //       nationality: '中国',
  //       job: '博士生导师',
  //       title: '教授',
  //       mobile: '1881881888',
  //       email: '123@123.com',
  //       work: '主编',
  //     },
  //   ],
  //   achievementOptions: [
  //     //相关科学研究项目、成果或论文专著（限5项）
  //     {
  //       name: '双语教育对人脑杏仁核发育影响研究',
  //       unit: '二十一世纪出版社',
  //       date: new Date('2000-1-1'),
  //     },
  //   ],
  //   courses: [
  //     //申报教材建设历程
  //     {
  //       date: new Date('2000-1-1'), //出版时间
  //       wordage: 569, //字数
  //       num: 2, //重印次数
  //       sumNum: 3, //本版总印数
  //       accolade: '国家高等教材特等奖', //获奖励情况
  //     },
  //   ],
  //   //申报教材特色及创新
  //   innovateExplain:
  //     '本教材最大的特色是教材内容编写延用情景启发模式，表现形式上融情景、体验、拓展、互动于一体，打造生动、立体课堂，提高学生学习兴趣及主动性。',
  //   //申报教材应用情况及社会影响力
  //   influence:
  //     '指导教学更有章法、更可复制。本教材系“十四五”职业教育江苏省规划教材、“十三五”江苏省高等学校重点教材、高等院校人文素质教育重点教材、精品工程项目教材，内容丰富、取材合适、系统性强，在促进学生成长成才、科学指导就业创业等方面有着成熟而广泛的应用前景，目前已推广到南通中等专业学校、聊城苏通技工学校等省内外多所职业院校，均得到师生的一致好评',
  //   textbookFiles: [
  //     //附件教材
  //     {
  //       name: '汉语版.pdf',
  //       url: '',
  //     },
  //     {
  //       name: '维语版.pdf',
  //       url: '',
  //     },
  //   ],
  //   links: [
  //     //数字内容链接地址、账号
  //     'https://www.hep.com.cn/book/show/0519241c-ed3a-4bdf-9c79-2eedc51fbe21 账号：xxxxxx 密码：xxxxxx',
  //     'https://www.hepmall.com/index.php/gallery-index-.html?scontent=%E7%B3%BB%E7%BB%9F%E5%88%86%E6%9E%90%E4%B8%8E%E8%AE%BE%E8%AE%A',
  //   ],
  //   opinions: [
  //     //所有作者政治审查意见
  //     {
  //       name: '曹春海', //作者
  //       unit: '外语教育出版社', //单位
  //       birth: new Date(), //出生年月
  //       nationality: '中华人民共和国', //国籍
  //       reviewFile: {
  //         //作者政治审查表
  //         name: '维语版.pdf',
  //         url: '',
  //       },
  //     },
  //   ],
  //   selfResults: {
  //     //图书编校质量自查结果记录表
  //     name: '自查表.pdf',
  //     url: '',
  //   },
  //   //专家审核意见表
  //   expertOpinion:{
  //     name: '意见表.pdf',
  //     url: '',
  //   },
  //   //教材使用情况证明材料
  //   evidence:{
  //     name: '材料.pdf',
  //     url: '',
  //   },
  //   //其他材料
  //   moreMaterial:[
  //     {
  //       name: '材料1.pdf',
  //       url: '',
  //     },
  //     {
  //       name: '材料2.pdf',
  //       url: '',
  //     },
  //   ],
  //   //所有作者签名&教材作者诚信承诺
  //   authorSign:[
  //     {
  //       name: '曹春海', //作者
  //       unit: '外语教育出版社', //单位
  //       birth: new Date(), //出生年月
  //       nationality: '中华人民共和国', //国籍
  //       reviewFile: {
  //         //作者政治审查表/作者签名
  //         name: '曹春海签名.pdf',
  //         url: '',
  //       },
  //     },
  //   ],
  //   //申报单位承诺意见材料
  //   unitMaterial:{
  //     name: '承诺意见表.pdf',
  //     url: '',
  //   },
  // };
  constructor(private router: Router, private activeRoute: ActivatedRoute) {}

  ngOnInit() {
    this.activeRoute.paramMap.subscribe(async (params) => {
      let id = params.get('id');
      if (id) {
        let query = new Parse.Query('EduTextbook');
        query.equalTo('objectId', id);
        let r = await query.first();
        this.textBook = r?.toJSON()
        console.log(this.textBook);
      }
    });
  }

  handleClick(e: string): void {
    console.log(e);
    // let dom:any = [e]
    // dom.nativeElement.scrollIntoView({ behavior: 'smooth', block: 'start', inline: 'start' });
  }
  back() {
    history.back();
  }
  edit(){
    this.router?.navigate(['/nav-author/manage/apply',{id:this.textBook.objectId}],{ replaceUrl: true })
  }
  openFile(url:string){
    console.log(url);
    window.open(url)
  }
}
