import { Component, EventEmitter, OnInit, Output } from '@angular/core';
import { Router, ActivatedRoute } from '@angular/router';
import { CommonCompModule } from '../../../../services/common.modules';
import { NzEmptyModule } from 'ng-zorro-antd/empty';
@Component({
  selector: 'app-complete',
  templateUrl: './complete.component.html',
  styleUrls: ['./complete.component.scss'],
  imports: [CommonCompModule, NzEmptyModule],
  standalone: true,
})
export class CompleteComponent implements OnInit {
  date: Date = new Date('2024/7/31');
  t: any;
  deadline: string = '';
  time() {
    if (new Date().getTime() > this.date.getTime()) {
      clearTimeout(this.t);
    }
    this.t = setTimeout(() => {
      let hs = this.date.getTime() - new Date().getTime();
      let a = 60 * 60 * 1000
      let day: number = Math.floor(hs / (24 * a));
      let h = Math.floor((hs - day * (24 * a)) / a);
      let m = Math.floor((hs - day * (24 * a) - h * a) / (60 * 1000));
      let s = Math.floor((hs - day * (24 * a) - h * a - (m * 60 * 1000))  / 1000);
      this.deadline = day + '天' + h + '小时' + m + '分' + s + '秒';
      this.time()
    }, 1000);
  }
  constructor(private router: Router, private activeRoute: ActivatedRoute) {}

  ngOnInit() {
    this.time();
  }

  ngOnDestroy(): void {
    //Called once, before the instance is destroyed.
    //Add 'implements OnDestroy' to the class.
    clearTimeout(this.t);
  }
}
