import { Component, EventEmitter, OnInit, Output } from '@angular/core';
import { Router, ActivatedRoute } from '@angular/router';
import { TextbookComponent } from '../../../../app/textbook/textbook.component';
import { CommonCompModule } from '../../../../services/common.modules';
import Parse from 'parse';

@Component({
  selector: 'app-export-list',
  templateUrl: './export-list.component.html',
  styleUrls: ['./export-list.component.scss'],
  imports: [CommonCompModule, TextbookComponent],
  standalone: true,
})
export class ExportListComponent implements OnInit {
  @Output() change: EventEmitter<any> = new EventEmitter<any>();
  textBookList: Parse.Object | any;
  eduProcess?:Parse.Object
  filterObj: any = {
    isCheck: false,
  };
  constructor(private router: Router, private activeRoute: ActivatedRoute) {}

  ngOnInit() {
    this.activeRoute.paramMap.subscribe(async (params) => {
      let id = params.get('id');
      let query = new Parse.Query('EduProcess');
      query.include('department');
      query.equalTo('objectId', id);
      this.eduProcess = await query.first();
    });
  }
  onChange(type: string) {
    if (type == 'next') {
      this.change.emit('next');
    } else {
      this.change.emit('pre');
    }
  }
}
