import { NgModule } from "@angular/core";
import { RouterModule, Routes } from "@angular/router";
import { PageUserComponent } from "../nav-admin/page-user/page-user.component";
import { UserEditComponent } from "../nav-admin/user-edit/user-edit.component";
import { RecycleComponent } from "../nav-author/recycle/recycle.component";
import { SpaceComponent } from "../nav-author/space/space.component";
import { PageRoleComponent } from "../nav-province-contact/page-role/page-role.component";
import { PageTextbookComponent } from "../nav-province-contact/page-textbook/page-textbook.component";
const routes: Routes = [
  {
    path: '',
    redirectTo:'manage/textbook',
    pathMatch: "full",
  },
  {
    path: 'manage',
    children:[
      {
        path: 'textbook', //全部教材
        component: PageTextbookComponent,
      },
      {
        path: 'user', //用户列表
        component: PageUserComponent,
      },
      {
        path: 'user/edit', //用户管理&编辑
        component: UserEditComponent,
      },
      {
        path: 'role', //组织列表
        component: PageRoleComponent,
      },
      {
        path: 'space',//个人空间
        component: SpaceComponent,
      },
      {
        path: 'recycle',//回收站
        component: RecycleComponent,
      },
    ]
  }
];
@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class NavProSchoolRoutingModule {}
