export const EduTextbook = {
    "className": "EduTextbook",
    "fields": {
        "status": {
            //状态 101:待完善资料 102:可提交状态 200:已提交遴选中 300:被打回 400:已通过
            "type": "String",
            "required": false
        },
        "user": {
            "type": "Pointer",
            "targetClass":"_User",
            "required": false
        },
        "department": { //所属流程
            "type": "Pointer",
            "targetClass":"Department",
            "required": false
        },
        "render": { //是否提交
            "type": "Boolean",
            "required": false
        },
        "recommend": { //是否推荐
            "type": "Boolean",
            "required": false
        },
        "complete": { //是否填写完整
            "type": "Boolean",
            "required": false
        },
        "isDeleted": {
            "type": "Boolean",
            "required": false
        },
        "discard": { //删除至回收站
            "type": "Boolean",
            "required": false
        },
        "title": {
            "type": "String",
            "required": false
        },
        "ISBN": {
            "type": "String",
            "required": false
        },
        "author": {
            "type": "String",
            "required": false
        },
        "unit": {
            "type": "String",
            "required": false
        },
        "type": {
            "type": "String",
            "required": false
        },
        "typeNumber": {//全册次数
            "type": "Number",
            "required": false
        },
        "majorPoniter": {
            "type": "String",
            "required": false
        },
        "lang": {
            "type": "String",
            "required": false
        },
        "authors": {
            "type": "String",
            "required": false
        },
        "editor": {
            "type": "String",
            "required": false
        },
        // "approval": {//是否为重点立项教材
        //     "type": "Boolean",
        //     "required": false
        // },
        "approval": {//是否为重点立项教材
            "type": "String",
            "required": false
        },
        "edition": {
            "type": "String",
            "required": false
        },
        "editionFirst": {
            "type": "Date",
            "required": false
        },
        "carrierShape": {
            "type": "String",
            "required": false
        },
        "editionDate": {
            "type": "Date",
            "required": false
        },
        "editionNumber": {//出版版次
            "type": "Number",
            "required": false
        },
        "printDate": {
            "type": "Date",
            "required": false
        },
        "printNumber": {
            "type": "Number",
            "required": false
        },
        "printSum": {
            "type": "Number",
            "required": false
        },
        "importantProject": {//重点项目
            "type": "String",
            "required": false
        },
        "importantProjectOther": {//重点项目-其他
            "type": "String",
            "required": false
        },
        "copyright": {
            "type": "Array",
            "required": false
        },
        "CIP": {
            "type": "Array",
            "required": false
        },
        "major": {
            "type": "Object",
            "required": false
        },
        "period": {
            "type": "Number",
            "required": false
        },
        "lessons": {
            "type": "Array",
            "required": false
        },
        "characteristic": {
            "type": "Array",
            "required": false
        },
        "authorList": {
            "type": "Array",
            "required": false
        },
        "authorDetails": {
            "type": "String",
            "required": false
        },
        "achievementOptions": {
            "type": "Array",
            "required": false
        },
        "courses": {
            "type": "Array",
            "required": false
        },
        "innovateExplain": {
            "type": "String",
            "required": false
        },
        "influence": {
            "type": "String",
            "required": false
        },
        "textbookFiles": {
            "type": "Array",
            "required": false
        },
        "links": {
            "type": "Array",
            "required": false
        },
        "opinions": {
            "type": "Array",
            "required": false
        },
        "selfResults": {
            "type": "Object",
            "required": false
        },
        "expertOpinion": {
            "type": "Object",
            "required": false
        },
        "evidence": {
            "type": "Object",
            "required": false
        },
        "moreMaterial": {
            "type": "Array",
            "required": false
        },
        "authorSign": {
            "type": "Array",
            "required": false
        },
        "unitMaterial": {
            "type": "Object",
            "required": false
        },
        "accept": {//填写承诺书
            "type": "String",
            "required": false
        },
        "approvedImgUrl":{//重点立项教材获批截图            
            "type":'String',
            "required": false
        },
        "eduProcess": {//所属流程
            "type": "Pointer",
            "targetClass":"EduProcess",
            "required": false
        },
        "code":{//编号
            "type":'String',
            "required": false
        },
    },
    "classLevelPermissions": {
        "find": {
            "*": true
        },
        "get": {
            "*": true
        },
        "count": {
            "*": true
        },
        "create": {
            "*": true
        },
        "update": {
            "*": true
        },
        "delete": {
            "*": true
        },
        "addField": {
            "*": true
        },
        "protectedFields": {
            "*": []
        }
    }
}
module.exports.EduTextbook = EduTextbook